Name:           python-nuradiomc
Version:        3.0.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Monte Carlo simulation package for radio neutrino detectors and reconstruction framework for radio detectors of high-energy neutrinos and cosmic-rays.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://github.com/nu-radio/NuRadioMC
Source:         %{pypi_source nuradiomc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nuradiomc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nuradiomc
Summary:        %{summary}

%description -n python3-nuradiomc %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-nuradiomc all,cr-interpolator,dev,galacticnoise,muon-flux,proposal


%prep
%autosetup -p1 -n nuradiomc-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,cr-interpolator,dev,galacticnoise,muon-flux,proposal


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nuradiomc -f %{pyproject_files}


%changelog
%autochangelog